Package uk.ac.starlink.topcat.contrib.gavo

## Class GavoTableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.topcat.contrib.gavo.GavoTableLoadDialog

- All Implemented Interfaces:
    `uk.ac.starlink.table.gui.TableLoadDialog`

      public class GavoTableLoadDialog
      extends uk.ac.starlink.table.gui.AbstractTableLoadDialog

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GavoTableLoadDialog()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.Component` | `createQueryComponent()` |
    `uk.ac.starlink.table.gui.TableLoader` | `createTableLoader()` | Interrogates the internal state of this component and returns a TableLoader object.
    `boolean` | `isAvailable()` | Indicates whether this dialogue is available.

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isComponentShowing, isReady, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GavoTableLoadDialog

          public GavoTableLoadDialog()

      Constructor. A public no-arg constructor is required by STIL's pluggable load dialogue mechanism.

  - ### Method Detail

    - #### createQueryComponent

          protected java.awt.Component createQueryComponent()

      Specified by:
        `createQueryComponent` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### isAvailable

          public boolean isAvailable()

      Indicates whether this dialogue is available. Should return false if you happen to know somehow that that this service is unavailable.
      Specified by:
        `isAvailable` in interface `uk.ac.starlink.table.gui.TableLoadDialog`
      Overrides:
        `isAvailable` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### createTableLoader

          public uk.ac.starlink.table.gui.TableLoader createTableLoader()

      Interrogates the internal state of this component and returns a TableLoader object.